From: Warner Losh <imp@bsdimp.com>
To: qemu-devel@nongnu.org
Cc: arrowd@freebsd.org, kevans@freebsd.org,
richard.henderson@linaro.org, f4bug@amsat.org, def@freebsd.org,
Warner Losh <imp@bsdimp.com>
Subject: [PATCH for 7.0 4/5] smoke-bsd-user: A test script to run all the FreeBSD binaries
Date: Sat, 27 Nov 2021 13:18:45 -0700 [thread overview]
Message-ID: <20211127201846.64187-5-imp@bsdimp.com> (raw)
In-Reply-To: <20211127201846.64187-1-imp@bsdimp.com>
Simple shell script to iterate through all the FreeBSD binaries running
qemu-$binary to ensure that we have minimal functionality for each
platform. When more of the bsd-user fork has been upstreamed, this
will be replaced by more extensive regresion tests.
Signed-off-by: Warner Losh <imp@bsdimp.com>
---
tests/bsd-user-smoke/smoke-bsd-user | 22 ++++++++++++++++++++++
1 file changed, 22 insertions(+)
create mode 100644 tests/bsd-user-smoke/smoke-bsd-user
diff --git a/tests/bsd-user-smoke/smoke-bsd-user b/tests/bsd-user-smoke/smoke-bsd-user
new file mode 100644
index 00000000000..20818fdf918
--- /dev/null
+++ b/tests/bsd-user-smoke/smoke-bsd-user
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+build=$1
+testing=$2
+
+smoke_one() {
+ local a=$1 q=$2
+
+ echo Hello World > foo1
+ $build/qemu-$q $testing/h.$a > foo2 || die "cmd failed: $build/qemu-$q $testing/h.$a"
+ cmp foo1 foo2 || die "Hello World expected"
+ rm foo1 foo2
+}
+
+die() {
+ echo $1
+ exit 1
+}
+
+smoke_one amd64 x86_64
+smoke_one armv7 arm
+smoke_one i386 i386
--
2.33.0
next prev parent reply other threads:[~2021-11-27 20:25 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-11-27 20:18 [PATCH for 7.0 0/5] bsd-user-smoke: A simple smoke test for bsd-user Warner Losh
2021-11-27 20:18 ` [PATCH for 7.0 1/5] h.armv7: Simple hello-world test for armv7 Warner Losh
2021-11-27 20:18 ` [PATCH for 7.0 2/5] h.i386: Simple hello-world test for i386 Warner Losh
2021-11-27 20:18 ` [PATCH for 7.0 3/5] h.amd64: Simple hello-world test for x86_64 Warner Losh
2021-11-27 20:18 ` Warner Losh [this message]
2021-11-27 20:18 ` [PATCH for 7.0 5/5] bsd-user-smoke: Add to build Warner Losh
2022-01-04 23:25 ` Philippe Mathieu-Daudé
2022-01-04 23:28 ` Warner Losh
2021-12-03 23:46 ` [PATCH for 7.0 0/5] bsd-user-smoke: A simple smoke test for bsd-user Warner Losh
2022-01-04 17:20 ` Alex Bennée
2022-01-04 17:39 ` Warner Losh
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20211127201846.64187-5-imp@bsdimp.com \
--to=imp@bsdimp.com \
--cc=arrowd@freebsd.org \
--cc=def@freebsd.org \
--cc=f4bug@amsat.org \
--cc=kevans@freebsd.org \
--cc=qemu-devel@nongnu.org \
--cc=richard.henderson@linaro.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.